#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	createrepo_c
Version		:	1.0.2
Release		:	17.2.0.rel%{?dist}
Summary		:	Creates a common metadata repository
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/rpm-software-management/createrepo_c

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	expat-devel
BuildRequires	:	gcc
BuildRequires	:	rpm-devel

Obsoletes	:	createrepo < 0.11.0
Provides	:	createrepo = %{version}-%{release}
#-----------------------------------------------------------------------------
%description
C implementation of Createrepo.
A set of utilities (createrepo_c, mergerepo_c, modifyrepo_c)
for generating a common metadata repository from a directory of
rpm packages and maintaining it.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_bindir}/mergerepo_c
%{_bindir}/modifyrepo_c
%{_bindir}/sqliterepo_c
%{_bindir}/createrepo
%{_bindir}/mergerepo
%{_bindir}/modifyrepo
%{_libdir}/lib%{name}.so.1*
%{_mandir}/man8/*.8.gz

#=============================================================================
%package		devel
Summary		:	 Library for repodata manipulation

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the createrepo_c C library and
header files.  These development files are for easy
manipulation with a repodata.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-S .						\
	-B _bld						\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}		\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}		\
	-DENABLE_PYTHON=OFF				\
	-DWITH_ZCHUNK=OFF				\
	-DENABLE_DRPM=OFF				\
	-DENABLE_BASHCOMP=OFF				\
	-DWITH_LIBMODULEMD=OFF				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	-C _bld						\
	%{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	-C _bld						\
	install						\

for brepo in createrepo mergerepo modifyrepo
  do
  %{__ln_s}						\
	${brepo}_c					\
	%{buildroot}%{_bindir}/${brepo}
  done


#-----------------------------------------------------------------------------
%changelog
